#
# spec file for package rubygem-rake-12_0
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rake-12_0
Version:        12.0.0
Release:        bp155.2.10
%define mod_name rake
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -12_0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  update-alternatives
Url:            https://github.com/ruby/rake
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rake is a Make-like program implemented in Ruby
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Rake is a Make-like program implemented in Ruby. Tasks and dependencies are
specified in standard Ruby syntax.
Rake has the following features:
* Rakefiles (rake's version of Makefiles) are completely defined in standard
Ruby syntax.
No XML files to edit. No quirky Makefile syntax to worry about (is that a tab
or a space?)
* Users can specify tasks with prerequisites.
* Rake supports rule patterns to synthesize implicit tasks.
* Flexible FileLists that act like arrays but know about manipulating file
names and paths.
* Supports parallel execution of tasks.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="History.rdoc MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Sun Feb 25 2018 opensuse_buildservice@ojkastl.de
- created new package with fixed version 12.0.x
* Wed Dec  7 2016 coolo@suse.com
- updated to version 12.0.0
  see installed History.rdoc
  === 12.0.0
  ==== Compatibility Changes
  * Remove arguments on clear #157 by Jesse Bowes
  * Removed `rake/contrib` packages. These are extracted to `rake-contrib` gem.
  * Removed to deprecated warnings for `last\_comment`.
  ==== Enhancements:
  * Re-use trace option on `cleanup` task. #164 by Brian Henderson
  * Actions adore keyword arguments #174 by Josh Cheek
  * Rake::TaskArguments#key? alias of #has_key? #175 by Paul Annesley
* Wed Sep 21 2016 coolo@suse.com
- updated to version 11.3.0
  see installed History.rdoc
  === 11.3.0 / 2016-09-20
  Enhancements:
  * Remove to reference `Fixnum` constant. Pull request #160 by nobu
* Sun Jun 12 2016 coolo@suse.com
- updated to version 11.2.2
  see installed History.rdoc
  === 11.2.2 / 2016-06-12
  Bug fixes:
  * Fix unexpected behavior with multiple dependencies on Rake::TestTask
  === 11.2.1 / 2016-06-12
  Bug fixes:
  * Fix regression of dependencies handling on Rake::TestTask. Report #139
  === 11.2.0 / 2016-06-11
  Bug fixes:
  * Fix unexpected cut-out behavior on task description using triple dots
    and exclamation. Report #106 from Stephan Kämper and Pull request #134 by Lee
  * Fix empty argument assignment with `with_defaults` option. Pull request #135
    by bakunyo
  * Ignore to use `hwprefs` on Darwin platform. Use sysctl now. Report #128
  Enhancements:
  * Spawn options for sh Pull equest #138 by Eric Hodel.
  * Allow to specify dependencies(prerequisites) for Rake::TestTask
    Pull request #117 by Tim Maslyuchenko
  * Use Bundler task instead of hoe for gem release.
  * Remove explicitly load to rubygems for Ruby 1.8.
  * Unify to declare `Rake::VERSION`.
  * Support xz format for PackageTask.
* Wed Apr  6 2016 coolo@suse.com
- updated to version 11.1.2
  see installed History.rdoc
  === 11.1.2 / 2016-03-28
  Bug fixes:
  * Remove `-W` option when Rake::TestTask#verbose enabled. It's misunderstanding
    specification change with Rake 11. Partly revert #67
* Mon Mar 14 2016 coolo@suse.com
- updated to version 11.1.1
  see installed History.rdoc
  === 11.1.1 / 2016-03-14
  Bug fixes:
  * Use `-W` instead of `--verbose` when Rake::TestTask#verbose enabled.
    JRuby doesn't have `--verbose` option.
* Fri Mar 11 2016 coolo@suse.com
- updated to version 11.1.0
  see installed History.rdoc
* Thu Mar 10 2016 coolo@suse.com
- updated to version 11.0.1
  see installed History.rdoc
  === 11.0.0(dev) / 2016-
  Bug fixes:
  * Correctly handle bad encoding in exception messages. Pull request #113
    by Tomer Brisker
  * Fix verbose option at TestTask. Pull request #67 by Mike Blumtritt
  Enhancements:
  * Make FileList#exclude more analogous to FileList#include.
  * Use IO.open instead of Open3.popen3 for CPU counter.
  * Make Rake::Task#already_invoked publicly accessible.
    Pull request #93 by Joe Rafaniello
  * Lookup prerequisites with same name outside of scope instead of
    matching self. Pull request #96 by Sandy Vanderbleek
  * Make FileList#pathmap behave like String#pathmap.
    Pull request #61 by Daniel Tamai
  * Add fetch method to task arguments.
    Pull request #12 by Chris Keathley
  * Use ruby warnings by default. Pull request #97 by Harold Giménez
  Compatibility Changes:
  * Removed to support Ruby 1.8.x
  * Removed constant named `RAKEVERSION`
  * Removed Rake::AltSystem
  * Removed Rake::RubyForgePublisher
  * Removed Rake::TaskManager#last_comment. Use last_description.
  * Removed Rake::TaskLib#paste
  * Removed Top-level SshDirPublisher, SshFreshDirPublisher, SshFilePublisher
    and CompositePublisher from lib/rake/contrib/publisher.rb
  * Removed "rake/runtest.rb"
* Wed Jan 13 2016 coolo@suse.com
- updated to version 10.5.0
  see installed History.rdoc
  === 10.5.0 / 2016-01-13
  Enhancements:
  * Removed monkey patching for Ruby 1.8. Pull request #46 by Pablo Herrero.
  * Inheritance class of Rake::FileList returns always self class.
    Pull request #74 by Thomas Scholz
* Wed Feb  4 2015 hvogel@suse.com
- Update to version 10.4.2
  * Rake no longer edits ARGV.  This allows you to re-exec rake from a rake task.
  * Documented how Rake::DSL#desc handles sentences in task descriptions.
  * Added support for Pathname in rake tasks.
  * Rake now ignores falsy dependencies which allows for easier programmatic
    creation of tasks.
  * Etc.nprocessors is used for counting the number of CPUs.
  * Updated rake manpage.
  * Add Rake::LATE to allow rebuilding of files that depend on deleted files.
  * Fix relinking of files when repackaging.
  * Try counting CPUs via cpuinfo if host_os was not matched.
* Wed Oct 22 2014 tboerger@suse.com
- Fixed last pieces of new macros
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun May 18 2014 coolo@suse.com
- updated to version 10.3.2
  Bug fixes:
  * Rake no longer infinitely loops when showing exception causes that refer to
  each other.  Bug #272 by Chris Bandy.
  * Fixed documentation typos.  Bug #275 by Jake Worth.
* Mon Apr 21 2014 coolo@suse.com
- updated to version 10.3.1
  Bug fixes:
  * Really stop reporting an error when cleaning already-deleted files.  Pull
  request #269 by Randy Coulman
  * Fixed infinite loop when cleaning already-deleted files on windows.
  === 10.3 / 2014-04-15
  Enhancements:
  * Added --build-all option to rake which treats all file prerequisites as
  out-of-date.  Pull request #254 by Andrew Gilbert.
  * Added Rake::NameSpace#scope.  Issue #263 by Jon San Miguel.
  Bug fixes:
  * Suppress org.jruby package files in rake error messages for JRuby users.
  Issue #213 by Charles Nutter.
  * Fixed typo, removed extra "h".  Pull request #267 by Hsing-Hui Hsu.
  * Rake no longer reports an error when cleaning already-deleted files.  Pull
  request #266 by Randy Coulman.
  * Consume stderr while determining CPU count to avoid hang.  Issue #268 by
  Albert Sun.
* Sun Apr  6 2014 coolo@suse.com
- updated to version 10.2.2
  Bug fixes:
  * Restored Ruby 1.8.7 compatibility
* Sun Jan  5 2014 coolo@suse.com
- updated to version 10.1.1, no changelog
* Thu Jun 27 2013 coolo@suse.com
- fix usage of update-alternatives
* Thu Jun 20 2013 coolo@suse.com
- updated to version 10.1.0
  New Features:
  * Add support for variable length task argument lists. If more actual
    arguments are supplied than named arguments, then the extra
    arguments values will be in args.extras.
  * Application name is not displayed in the help banner. (Previously
    "rake" was hardcoded, now rake-based applications can display their
    own names).
* Sun Apr 14 2013 coolo@suse.com
- updated to version 10.0.4
* Tue Mar 19 2013 coolo@suse.com
- use update-alternatives (new gem2rpm)
* Sat Dec 22 2012 coolo@suse.com
- updated to version 10.0.3, same changelog as 10.0.1...
* Wed Nov 28 2012 coolo@suse.com
- updated to version 10.0.2
* Thu Nov 15 2012 coolo@suse.com
- updated to version 10.0.1
  = Rake 10.0.1 Released
  "Jim, when will Rake reach version 1.0?"
  Over the past several years I've been asked that question at
  conferences, panels and over twitter. Due to historical reasons (or
  maybe just plain laziness) Rake has (incorrectly) been treating the
  second digit of the version as the major release number. So in my head
  Rake was already at version 9.
  Well, it's time to fix things. This next version of Rake drops old,
  crufty, backwards compatibility hacks such as top level constants, DSL
  methods defined in Object and numerous other features that are just no
  longer desired. It's also time to drop the leading zero from the
  version number as well and call this new version of rake what it
  really is: Version 10.
  So, welcome to Rake 10.0!
  Rake 10 is actually feature identical to the latest version of Rake 9
  (that would be the version spelled 0.9.3), *except* that Rake 10 drops
  all the sundry deprecated features that have accumulated over the years.
  If your Rakefile is up to date and current with all the new features
  of Rake 10, you are ready to go. If your Rakefile still uses a few
  deprecated feeatures, feel free to use Rake 9 (0.9.3) with the same
  feature set. Just be aware that future features will be in Rake 10
  family line.
* Wed Nov 14 2012 coolo@suse.com
- updated to version 10.0.0
  * Show only the interesting portion of the backtrace by default (James M. Lawrence).
  * Added --reduce-compat optiont to remove backward compatible DSL hacks (James M. Lawrence).
  * lib/rake/file_list.rb (Rake::FileList#egrep): there is no need to
  open files in binary mode. (NAKAMURA Usaku)
* Tue Jul 31 2012 jreidinger@suse.com
- use new gem2rpm to provide new provisions
* Thu May 10 2012 coolo@suse.com
- make sure we do not compile against ruby19 - it won't work
* Mon Apr  2 2012 coolo@suse.com
- update to 0.9.2.2
  * The rake test loader now removes arguments it has processed.  Issue #51
  * Rake::TaskArguments now responds to #values_at
  * RakeFileUtils.verbose_flag = nil silences output the same as 0.8.7
  * Rake tests are now directory-independent
  * Rake tests are no longer require flexmock
  * Commands constant is no longer polluting top level namespace.
* Fri Jul 22 2011 fcastelli@novell.com
-  update to 0.9.2
  * Added deprecation warnings to the Rake DSL methods.
  * *Incompatible* *change*: Rake DSL commands ('task', 'file', etc.)  are
    no longer private methods in Object.  If you need to call 'task :xzy' inside
    your class, include Rake::DSL into the class.  The DSL is still available at
    the top level scope (via the top level object which extends Rake::DSL).
  * Rake now warns when the deprecated :needs syntax used.
  * Rake history is now UTF-8 encoded.
  * Rake now uses case-insensitive comparisons to find the Rakefile on Windows.
    Based on patch by Roger Pack.
  * Rake now requires (instead of loads) files in the test task.  Patch by Cezary
    Baginski.
  * Fixed typos.  Patches by Sean Scot August Moon and R.T. Lechow.
  * Rake now prints the Rakefile directory only when it's different from the
    current directory.  Patch by Alex Chaffee.
  * Improved rakefile_location discovery on Windows.  Patch by James Tucker.
  * Rake now recognizes "Windows Server" as a windows system.  Patch by Matthias
    Lüdtke
  * Rake::RDocTask is deprecated.  Use RDoc::Task from RDoc 2.4.2+ (require
    'rdoc/task')
  * Rake::GemPackageTask is deprecated.  Use Gem::PackageTask (require
    'rubygems/package_task')
  * Rake now outputs various messages to $stderr instead of $stdout.
  * Rake no longer emits warnings for Config.  Patch by Santiago Pastorino.
  * Split rake.rb into individual files.
  * Support for the --where (-W) flag for showing where a task is defined.
  * Fixed quoting in test task.
    (http://onestepback.org/redmine/issues/show/44,
    http://www.pivotaltracker.com/story/show/1223138)
  * Fixed the silent option parsing problem.
    (http://onestepback.org/redmine/issues/show/47)
  * Fixed :verbose=>false flag on sh and ruby commands.
  * Rake command line options may be given by default in a RAKEOPT
    environment variable.
  * Errors in Rake will now display the task invocation chain in effect
    at the time of the error.
  * Accepted change by warnickr to not expand test patterns in shell
    (allowing more files in the test suite).
  * Fixed that file tasks did not perform prereq lookups in scope
    (Redmine #57).
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Mar  8 2010 mrueckert@suse.de
- require newer rubygems
* Sun Jul 26 2009 dmacvicar@suse.de
- update to 0.8.7
  * Fixed EXEEXT for JRuby on windows.
  * Minor fixes to the RDoc generation (removed dependency on darkfish
    and removed inline source option).
  * Now allow # comments to comment a task definition.
  * Better support for the system command on Windows.
* Fri Mar 20 2009 dmacvicar@suse.de
- update to 0.8.4
  * Case is preserved on rakefile names. (patch from
    James M. Lawrence/quix)
  * Improved Rakefile case insensitivity testing (patch from
    Luis Lavena).
  * Windows system dir search order is now: HOME, HOMEDRIVE +
    HOMEPATH, APPDATA, USERPROFILE (patch from Luis Lavena)
  * MingGW is now recognized as a windows platform. (patch from
    Luis Lavena)
  * Removed reference to manage_gem to fix the warning produced
    by the gem package task.
  * Fixed stray ARGV option problem that was interfering with
    Test::Unit::Runner. (patch from Pivotal Labs)
  * Numerous fixes to the windows test suite (patch from Luis Lavena).
  * Improved Rakefile case insensitivity testing (patch from Luis
    Lavena).
  * Better support for windows paths in the test task (patch from
    Simon Chiang/bahuvrihi)
* Wed Oct 15 2008 mrueckert@suse.de
- update to 0.8.3
  * Enhanced the system directory detection in windows. We now
    check HOMEDRIVE/HOMEPATH and USERPROFILE if APPDATA isn't
    found.  (Patch supplied by James Tucker). Rake no long aborts
    if it can't find the directory.
  * Added fix to handle ruby installations in directories with
    spaces in their name.
- additional changes from 0.8.2
  * Fixed bug in package task so that it will include the subdir
    directory in the package for testing. (Bug found by Adam Majer)
  * Added ENV var to rakefile to prevent OS X from including
    extended attribute junk in a tar file.
    (Bug found by Adam Majer)
  * Fixed filename dependency order bug in test_inspect_pending and
    test_to_s_pending. (Bug found by Adam Majer)
  * Fixed check for file utils options to make them immune to the
    symbol/string differences. (Patch supplied by Edwin Pratomo)
  * Fixed bug with rules involving multiple source
    (Patch supplied by Emanuel Indermühle)
  * Switched from getoptlong to optparse
    (patches supplied by Edwin Pratomo)
  * The -T option will now attempt to dynamically sense the size of
    the terminal.  RAKE_COLUMNS will override any dynamic sensing.
  * FileList#clone and FileList#dup have better sematics w.r.t.
    taint and freeze.
  * Added ability clear prerequisites, and/or actions from an
    existing task.
  * Added the ability to reenable a task to be invoked a second
    time.
  * Changed RDoc test task to have no default template. This makes
    it easier for the tempate to pick up the template from the
    environment.
  * Changed from using Mutex to Monitor. Evidently Mutex causes
    thread join errors when Ruby is compiled with
  - disable-pthreads. (Patch supplied by Ittay Dror)
  * Fixed bug in makefile parser that had problems with extra
    spaces in file task names. (Patch supplied by Ittay Dror)
  * Added a performance patch for reading large makefile dependency
    files. (Patch supplied by Ittay Dror)
  * Default values for task arguments can easily be specified with
    the :with_defaults method. (Idea for default argument merging
    supplied by (Adam Q. Salter)
  * The -T output will only self-truncate if the output is a tty.
    However, if RAKE_COLUMNS is explicitly set, it will be honored
    in any case. (Patch provided by Gavin Stark).
  * Numerous fixes for running under windows. A big thanks to
    Bheeshmar Redheendran for spending a good part of the afternoon
    at the Lonestar Ruby Conference to help me work out these
    issues.
* Wed Feb 20 2008 mrueckert@suse.de
- update to 0.8.1
  * Removed requires on parsedate.rb (in Ftptools)
  * Removed ftools from rake.rb.  Made it options in sys.rb
- additional changes from 0.8.0
  * Added task parameters (e.g. "rake build[version7]")
  * Made task parameters passable to prerequisites.
  * The 'desc' command will now document task argument names.
  * Comments are limited to 80 columns or so
    (suggested by Jamis Buck).
  * Added -D to display full comments (suggested by Jamis Buck).
  * The rake program will set the status value used in any explicit
    exit(n) calls. (patch provided by Stephen Touset)
  * Fixed error in functional tests that were not including session
    (and silently skipping the functionl tests.
  * Removed --usage and make -h the same as -H.
  * Make a prettier inspect for tasks.
* Mon May 14 2007 mrueckert@suse.de
- update to version 0.7.3
  * Added existing and existing! methods to FileList
  * FileLists now claim to be Arrays (via is_a?) to get better
    support from the FileUtil module.
  * Added init and top_level for custom rake applications.
- additional changes from 0.7.2
  * Error messages are now send to stderr rather than stdout
    (from Payton Quackenbush).
  * Better error handling on invalid command line arguments
    (from Payton Quackenbush).
  * Added rcov task and updated unit testing for better code
    coverage.
  * Fixed some bugs where the application object was going to the
    global appliation instead of using its own data.
  * Added square and curly bracket patterns to FileList#include
    (Tilman Sauerbeck).
  * Added plain filename support to rule dependents (suggested by
    Nobu Nakada).
  * Added pathmap support to rule dependents.
  * Added a 'tasks' method to a namespace to get a list of tasks
    associated with the namespace.
  * Fixed the method name leak from FileUtils (bug found by Glenn
    Vanderburg).
  * Added rake_extension to handle detection of extension
    collisions.
  * Added test for noop, bad_option and verbose flags to sh
    command.
  * Removed dependency on internal fu_xxx functions from FileUtils.
  * Added a 'shame' task to the Rakefile.
  * Added tar_command and zip_command options to the Package task.
  * Added a description to the gem task in GemPackageTask.
  * Fixed a bug when rules have multiple prerequisites (patch by
    Joel VanderWerf)
  * Added a protected 'require "rubygems"' to test/test_application
    to unbreak cruisecontrol.rb.
  * Added the handful of RakeFileUtils to the private method as
    well.
  * Added block based exclusion.
  * The clean task will no longer delete 'core' if it is a
    directory.
  * Removed rake_dup.  Now we just simply rescue a bad dup.
  * Refactored the FileList reject logic to remove duplication.
  * Removed if __FILE__ at the end of the rake.rb file.
* Tue Jun 20 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- Update to version 0.7.1
- Switched to gem based rake.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 mrueckert@suse.de
- Update to version 0.7.0
* Mon Oct 17 2005 mrueckert@suse.de
- Initial package of version 0.6.2
